import type { CellProps, FieldBase } from 'payload/types';
import React from 'react';
export * from './TableCellProvider/index.js';
import type { FieldMap } from '../../providers/ComponentMap/buildComponentMap/types.js';
import './index.scss';
export type Column = {
    accessor: string;
    active: boolean;
    cellProps?: Partial<CellProps>;
    components: {
        Cell: React.ReactNode;
        Heading: React.ReactNode;
    };
    label: FieldBase['label'];
    name: FieldBase['name'];
};
export type Props = {
    columns?: Column[];
    customCellContext?: Record<string, unknown>;
    data: unknown[];
    fieldMap: FieldMap;
};
export declare const Table: React.FC<Props>;
//# sourceMappingURL=index.d.ts.map