import type { Permissions, User } from 'payload/auth';
import type { SanitizedConfig } from 'payload/types';
import React from 'react';
export { NavHamburger } from './NavHamburger/index.js';
export { Wrapper } from './Wrapper/index.js';
import './index.scss';
export type DefaultTemplateProps = {
    children?: React.ReactNode;
    className?: string;
    config: Promise<SanitizedConfig> | SanitizedConfig;
    i18n: any;
    permissions: Permissions;
    user: User;
};
export declare const DefaultTemplate: React.FC<DefaultTemplateProps>;
//# sourceMappingURL=index.d.ts.map