import { type CellProps, type SanitizedCollectionConfig } from 'payload/types';
import type { FieldMap } from '../../providers/ComponentMap/buildComponentMap/types.js';
import type { ColumnPreferences } from '../../providers/ListInfo/index.js';
import type { Column } from '../Table/index.js';
export declare const buildColumns: (args: {
    cellProps: Partial<CellProps>[];
    columnPreferences: ColumnPreferences;
    defaultColumns?: string[];
    enableRowSelections: boolean;
    fieldMap: FieldMap;
    useAsTitle: SanitizedCollectionConfig['admin']['useAsTitle'];
}) => Column[];
//# sourceMappingURL=buildColumns.d.ts.map