'use client';
import React, { createContext, useContext } from 'react';
const Context = /*#__PURE__*/ createContext({});
export const useListInfo = ()=>useContext(Context);
export const ListInfoProvider = ({ children, collectionSlug, hasCreatePermission, newDocumentURL, titleField })=>{
    return /*#__PURE__*/ React.createElement(Context.Provider, {
        value: {
            collectionSlug,
            hasCreatePermission,
            newDocumentURL,
            titleField
        }
    }, children);
};

//# sourceMappingURL=index.js.map